import 'package:electronic_assistant/base/app_base_request.dart';
import 'package:json_annotation/json_annotation.dart';

part 'agenda_request.g.dart';

@JsonSerializable()
class AgendaRequest extends AppBaseRequest {
  @JsonKey(name: 'page')
  final int page;
  @JsonKey(name: 'pageSize')
  final int pageSize;
  @JsonKey(name: 'startTime')
  int? startTime;
  @JsonKey(name: 'endTime')
  int? endTime;
  @JsonKey(name: 'completeStatus')
  String? completeStatus;

  AgendaRequest(this.page, this.pageSize,
      {this.startTime, this.endTime, this.completeStatus});

  @override
  Map<String, dynamic> toJson() => _$AgendaRequestToJson(this);
}

enum TaskStatus {
  ALL(''),
  DONE('1'),
  TODO('2');

  final String value;

  const TaskStatus(this.value);
}
